[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#318017: marked as done (kdelibs4-dev: gcc4 issues causes build failures)

Your message dated Wed, 17 Aug 2005 03:13:25 -0700
with message-id <E1E5KvF-0007o0-00@spohr.debian.org>
and subject line Bug#318017: fixed in kdelibs 4:3.4.2-1
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

Received: (at submit) by bugs.debian.org; 12 Jul 2005 21:36:05 +0000
>From frankie@debian.org Tue Jul 12 14:36:05 2005
Return-path: <frankie@debian.org>
Received: from egg.area.ba.cnr.it [] 
	by spohr.debian.org with esmtp (Exim 3.35 1 (Debian))
	id 1DsSQ8-0002QE-00; Tue, 12 Jul 2005 14:36:04 -0700
Received: from localhost (localhost [])
	by egg.area.ba.cnr.it (8.13.1/8.13.1/SuSE Linux 0.7) with ESMTP id j6CLa1P6016299;
	Tue, 12 Jul 2005 23:36:01 +0200
Received: from klecker (klecker.ba.issia.cnr.it [])
	by egg.area.ba.cnr.it (8.13.1/8.13.1/SuSE Linux 0.7) with ESMTP id j6CLZvBo016291;
	Tue, 12 Jul 2005 23:35:57 +0200
Received: from adsl-ull-218-66.44-151.net24.it ([] helo=localhost)
	by klecker with esmtpa (Exim 4.52)
	id 1DsSPz-00006k-0f; Tue, 12 Jul 2005 23:35:55 +0200
Received: from frankie by localhost with local (Exim 4.52)
	id 1DsSPD-0002Vl-Ky; Tue, 12 Jul 2005 23:35:07 +0200
Content-Type: text/plain; charset="us-ascii"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
From: "Francesco P. Lovergine" <frankie@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kdelibs4-dev: gcc4 issues causes build failures
X-Mailer: reportbug 3.15
Date: Tue, 12 Jul 2005 23:35:06 +0200
Message-Id: <E1DsSPD-0002Vl-Ky@localhost>
X-Virus-Scanned: by amavisd-new-20041102+Sophos at egg.area.ba.cnr.it
Delivered-To: submit@bugs.debian.org
X-Spam-Checker-Version: SpamAssassin 2.60-bugs.debian.org_2005_01_02 
	(1.212-2003-09-23-exp) on spohr.debian.org
X-Spam-Status: No, hits=-6.0 required=4.0 tests=BAYES_00,HAS_PACKAGE,

Package: kdelibs4-dev
Version: 4:3.3.2-7
Severity: important

While building smb4k 0.6.0 I got the following error:

/usr/include/kde/kactioncollection.h:242: error: ISO C++ forbids declaration of 'KXMLGUIClient' with no type
/usr/include/kde/kactioncollection.h:242: error: expected ';' before '*' token
/usr/include/kde/kactioncollection.h:345: error: expected ',' or '...' before '*' token
/usr/include/kde/kactioncollection.h:345: error: ISO C++ forbids declaration of 'KXMLGUIClient' with no type
make[4]: *** [smb4kbookmarkeditor.lo] Error 1

I'll see if it is reproducible with current smb4k 0.5.2 version too.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.11-1-686
Locale: LANG=it_IT@euro, LC_CTYPE=it_IT@euro (charmap=ISO-8859-15)

Versions of packages kdelibs4-dev depends on:
ii  kdelibs-bin                   4:3.3.2-7  KDE core binaries
ii  kdelibs4                      4:3.3.2-7  KDE core libraries
ii  libart-2.0-dev                2.3.17-1   Library of functions for 2D graphi
ii  libarts1-dev                  1.3.2-4    aRts Sound system (development fil
ii  libcupsys2-dev                1.1.23-10  Common UNIX Printing System(tm) - 
ii  libfam-dev                    2.7.0-7    client library to control the FAM 
ii  libidn11-dev                  0.5.13-1.0 Development files GNU libidn, impl
ii  libpcre3-dev                  5.0-1.1    Perl 5 Compatible Regular Expressi
ii  libssl-dev                    0.9.7g-1   SSL development libraries, header 
ii  libxml2-utils                 2.6.19-1   XML utilities
ii  libxrender-dev                1:0.9.0-2  X Rendering Extension client libra

kdelibs4-dev recommends no packages.

-- no debconf information

Received: (at 318017-close) by bugs.debian.org; 17 Aug 2005 10:21:41 +0000
>From joerg@spohr.debian.org Wed Aug 17 03:21:41 2005
Return-path: <joerg@spohr.debian.org>
Received: from joerg by spohr.debian.org with local (Exim 3.36 1 (Debian))
	id 1E5KvF-0007o0-00; Wed, 17 Aug 2005 03:13:25 -0700
From: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
To: 318017-close@bugs.debian.org
X-Katie: lisa $Revision: 1.30 $
Subject: Bug#318017: fixed in kdelibs 4:3.4.2-1
Message-Id: <E1E5KvF-0007o0-00@spohr.debian.org>
Sender: Joerg Jaspert <joerg@spohr.debian.org>
Date: Wed, 17 Aug 2005 03:13:25 -0700
Delivered-To: 318017-close@bugs.debian.org
X-Spam-Checker-Version: SpamAssassin 2.60-bugs.debian.org_2005_01_02 
	(1.212-2003-09-23-exp) on spohr.debian.org
X-Spam-Status: No, hits=-6.0 required=4.0 tests=BAYES_00,HAS_BUG_NUMBER 
	autolearn=no version=2.60-bugs.debian.org_2005_01_02
X-CrossAssassin-Score: 6

Source: kdelibs
Source-Version: 4:3.4.2-1

We believe that the bug you reported is fixed in the latest version of
kdelibs, which is due to be installed in the Debian FTP archive:

  to pool/main/k/kdelibs/kdelibs-bin_3.4.2-1_i386.deb
  to pool/main/k/kdelibs/kdelibs-data_3.4.2-1_all.deb
  to pool/main/k/kdelibs/kdelibs4-dev_3.4.2-1_i386.deb
  to pool/main/k/kdelibs/kdelibs4-doc_3.4.2-1_all.deb
  to pool/main/k/kdelibs/kdelibs4c2-dbg_3.4.2-1_i386.deb
  to pool/main/k/kdelibs/kdelibs4c2_3.4.2-1_i386.deb
  to pool/main/k/kdelibs/kdelibs_3.4.2-1.diff.gz
  to pool/main/k/kdelibs/kdelibs_3.4.2-1.dsc
  to pool/main/k/kdelibs/kdelibs_3.4.2-1_all.deb
  to pool/main/k/kdelibs/kdelibs_3.4.2.orig.tar.gz

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 318017@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org> (supplier of updated kdelibs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.7
Date: Tue, 16 Aug 2005 11:16:00 -0400
Source: kdelibs
Binary: kdelibs-bin kdelibs kdelibs4-doc kdelibs4c2 kdelibs4c2-dbg kdelibs-data kdelibs4-dev
Architecture: source i386 all
Version: 4:3.4.2-1
Distribution: unstable
Urgency: low
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Changed-By: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 kdelibs    - core libraries from the official KDE release
 kdelibs-bin - core binaries for all KDE applications
 kdelibs-data - core shared data for all KDE applications
 kdelibs4-dev - development files for the KDE core libraries
 kdelibs4-doc - developer documentation for the KDE core libraries
 kdelibs4c2 - core libraries for all KDE applications
 kdelibs4c2-dbg - debugging symbols for kdelibs4c2
Closes: 257588 268659 283858 285882 287822 288900 292084 307098 311958 317543 318017 319154 320450 323093
 kdelibs (4:3.4.2-1) unstable; urgency=low
   * New upstream release. Includes a forward declaration of KXMLGUIClient in
     kactioncollection.h, which makes gcc-4.0 happy and thus closes: #317543,
     #318017, #319154, #323093 (arson, smb4k, kile and amarok FTBFS).
   * KDE_3_4_BRANCH update.
   +++ Changes by Christopher Martin:
   * GCC 4.0 transition: kdelibs4 becomes kdelibs4c2. Tighten build depends on
     libarts1-dev, libqt3-mt-dev, libfam-dev, libtiff4-dev, and libopenexr-dev
     to ensure that we build against transitioned packages.
     Since kdelibs4 now depends on libopenexr2c2, this upload closes: #320450.
   * Make kdelibs4 always depend on the identical version of kdelibs-data.
     (Closes: #311958)
   +++ Changes by Adeodato Simó:
   * Remove obsolete conflicts/replaces relationships against packages/versions
     not present in Sarge.
 kdelibs (4:3.4.1-1) experimental; urgency=low
   * New upstream release.
 kdelibs (4:3.4.0-0pre5) alioth; urgency=low
   * New upstream release.
   * KDE_3_4_BRANCH update.
   * Bugs reported in the Debian BTS fixed by this release:
     - no longer FTBFS on amd64/gcc-4.0. (Closes: #288900)
   * Converted packaging to CDBS (initial version by Daniel Schepler, further
     changes by Christopher Martin and Adeodato Simó).
   +++ Changes by Adeodato Simó:
   * Added new package kdelibs4-dbg, with separate debugging symbols. Added
     Build-Dependency on binutils (>= as per the dh_strip man
     page. (Closes: #257588).
   * [cdbs/kde.mk] Use escaped variables in the definitions of kde_htmldir and
     the like instead of absolute paths, so that /usr/bin/kde-config doesn't
     output them expanded even when --expandvars is not used. (Closes: #287822)
   * Fixed the ability of the build system to find kde.pot, even when it is not
     located at KDEDIR/include/kde.pot. This allows the use of targets such as
     "package-messages" without specifying includedir. (Closes: #283858)
   * Now that graphviz is in main, add it to Build-Depends-Indep together with
     gsfonts-x11 to generate diagrams in the API documentation.
   +++ Changes by Christopher Martin
   * Adjust the placement of the merging of the Debian menu in
     applications.menu. Oddly enough, this seems to work around some issues
     with io slaves and remote file access.
   * Rename applications.menu to kde-applications.menu, avoiding a conflict
     with the new GNOME xdg menu files. (Closes: #307098)
   * Debianize the Konqueror browser's user-agent string. (Closes: #268659)
   * Tighten libart-2.0-dev build dependency. (Closes: #285882)
   * Clean out useless manpages. New or better ones welcome...
     (Closes: #292084)
 cfe3f8f20766fffdd8ca46e8c1131686 1475 libs optional kdelibs_3.4.2-1.dsc
 ce94fad0e1e87f95d73ec8dceb2fca31 20059698 libs optional kdelibs_3.4.2.orig.tar.gz
 b149b64d12cca117668e071f17e19ce6 363845 libs optional kdelibs_3.4.2-1.diff.gz
 ce3b9cb772073f83f631825601b8d5fd 29082 kde optional kdelibs_3.4.2-1_all.deb
 affdccc472b6c99296b422d73f1d1969 8128744 libs optional kdelibs-data_3.4.2-1_all.deb
 82f37a9df96785e24bf94b5ca901be23 31820178 doc optional kdelibs4-doc_3.4.2-1_all.deb
 4dfad931a793cde7946350eba8ba22c8 833706 libs optional kdelibs-bin_3.4.2-1_i386.deb
 06951cf0a5f167c6275a60cb223eb403 8214552 libs optional kdelibs4c2_3.4.2-1_i386.deb
 279348ea4ae4dc27ffb73871a7472400 1342764 libdevel optional kdelibs4-dev_3.4.2-1_i386.deb
 a28628aea6c5a58474ea7e01948460b3 19699656 libdevel extra kdelibs4c2-dbg_3.4.2-1_i386.deb

Version: GnuPG v1.4.1 (GNU/Linux)
Comment: Signed by Adeodato Simó <asp16@alu.ua.es>


Reply to: